Create a query fan-out
curl --request POST \
--url https://data.otterly.ai/v1/audits/query-fan-outs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "01HX7K2YV9D3M8N0G6Q5R4S3T2",
"query": "<string>"
}
'import requests
url = "https://data.otterly.ai/v1/audits/query-fan-outs"
payload = {
"workspaceId": "01HX7K2YV9D3M8N0G6Q5R4S3T2",
"query": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workspaceId: '01HX7K2YV9D3M8N0G6Q5R4S3T2', query: '<string>'})
};
fetch('https://data.otterly.ai/v1/audits/query-fan-outs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "01HXFANOUT5XY8Z2N3KQ7VAW4P",
"query": "best running shoes for marathon training",
"status": "pending",
"createdDate": "2026-06-18T08:29:45.000Z"
}{
"message": "Validation failed",
"target": "query",
"errors": [
{
"path": "country",
"message": "Required",
"code": "invalid_type"
}
]
}{
"message": "Report not found"
}{
"message": "Report not found"
}{
"message": "Report not found"
}Audits
Create a query fan-out
POST
/
v1
/
audits
/
query-fan-outs
Create a query fan-out
Authorizations
Provide your API key as a Bearer token: Authorization: Bearer YOUR_API_KEY.
Body
application/json
⌘I